/******************************************************************
 * @file  Test_Transmitter.s.c
 * @brief:    [file description] 
 * @author: HUOHUO
 * @Date 2024年4月20日
 * COPYRIGHT NOTICE: ITTC
 * Change_date         Owner         Change_content
 * 2024年4月20日        HUOHUO       create file

*****************************************************************/

/**************************include******************************/
#include <type_define.h>
#include "phy_macro.h"
#include "Test_Func.h"
#include "transmitter_func.h"
 


void Test_Transmitter(uint32_t source_bit_ptr, uint32_t src_bit_len)
{

	int* param_ptr = (int *)TRANSMITTER_CFG_BASE;


	STORE_EX_W(param_ptr, source_bit_ptr);
	STORE_EX_W((param_ptr+1), src_bit_len);
	Transmitter_Init();

	Transmitter_Task();
	
}

int main()
{
	__ucps2_iCacheConfig(f_DoubleEnable, f_BypassEnable);
	__ucps2_setJumpMode(f_Mode0);

	int ret = 0;
	uint32_t source_bit_ptr;
	int32_t src_bit_len;
    ret = osp_get_cfgfile("source_bit.dat",//get source address of input data
                          (uint32_t *)&(source_bit_ptr),//address
                          (int32_t *)&(src_bit_len));//length

	Test_Transmitter(source_bit_ptr, src_bit_len);
	
}

